=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2007-09-05 10:34:56 +0000
+++ loggerhead/templatefunctions.py	2007-09-05 11:40:31 +0000
@@ -1,7 +1,7 @@
 import os
 import turbogears
 import turbozpt
-from turbozpt.template import zpt
+from turbozpt.zptsupport import zpt
 
 templatefunctions = {}
 def templatefunc(func):

=== removed file 'turbozpt/template.py'
--- turbozpt/template.py	2007-08-30 16:51:15 +0000
+++ turbozpt/template.py	1970-01-01 00:00:00 +0000
@@ -1,44 +0,0 @@
-"""
-"""
-
-from zope.pagetemplate import pagetemplatefile
-import os
-
-_zpt_cache = {}
-
-def _compile_template(tfile):
-    mod = PageTemplate(tfile)
-    mtime = os.stat(tfile).st_mtime
-    mod.__mtime__ = mtime
-    return mod
-
-def zpt(tfile):
-    if tfile in _zpt_cache:
-        mtime = os.stat(tfile).st_mtime
-        mod = _zpt_cache[tfile]
-        if mod.__mtime__ != mtime:
-            mod = _compile_template(tfile)
-            _zpt_cache[tfile] = mod
-    else:
-        mod = _zpt_cache[tfile] = _compile_template(tfile)
-    return mod
-
-class Here(object):
-    def __init__(self, base, options):
-        self.base = base
-        self.options = options
-
-    def __getitem__(self, name):
-        return zpt(os.path.join(self.base, name))(**self.options)
-
-class PageTemplate(pagetemplatefile.PageTemplateFile):
-    def __init__(self, name):
-        self.base = os.path.dirname(name)
-        pagetemplatefile.PageTemplateFile.__init__(self, name)
-
-    def pt_getContext(self, args=(), options={}, **ignored):
-        rval = pagetemplatefile.PageTemplateFile.pt_getContext(
-            self, args, options, **ignored)
-        rval.update(options)
-        rval.update({'here':Here(self.base, options)})
-        return rval

=== modified file 'turbozpt/zptsupport.py'
--- turbozpt/zptsupport.py	2007-08-30 16:51:15 +0000
+++ turbozpt/zptsupport.py	2007-09-05 11:40:31 +0000
@@ -1,11 +1,29 @@
 "TurboGears support for Zope Page Templates"
 
-from template import zpt
+import logging
+import os
 import pkg_resources
 
-import logging
+from zope.pagetemplate.pagetemplatefile import PageTemplateFile
+
 log = logging.getLogger("turbogears.zptsupport")
 
+_zpt_cache = {}
+
+def zpt(tfile):
+    tinstance = _zpt_cache.get(tfile)
+    if tinstance is None:
+        tinstance = _zpt_cache[tfile] = TGPageTemplateFile(tfile)
+    return tinstance
+
+class TGPageTemplateFile(PageTemplateFile):
+
+    def pt_getContext(self, args=(), options={}, **ignored):
+        namespace = super(TGPageTemplateFile, self).pt_getContext(
+            args, options, **ignored)
+        namespace.update(options)
+        return namespace
+
 class TurboZpt(object):
     extension = "pt"
 
@@ -47,4 +65,3 @@
             data.update(self.get_extra_vars())
         data.update(info)
         return tinstance(**data).encode('utf-8')
-

